%define real_name Test-Inline

Summary:	Inlining your tests next to the code being tested
Name:		perl-%{real_name}
Version:	2.102
Release:	2mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl(List::Util) >= 1.11
BuildRequires:	perl(Getopt::Long) >= 2.34
BuildRequires:	perl-File-Slurp >= 9999.04
BuildRequires:	perl-File-Find-Rule >= 0.26
BuildRequires:	perl-Class-Autouse >= 1.15
BuildRequires:	perl-Algorithm-Dependency >= 1.02
BuildRequires:	perl-Test-ClassAPI >= 1.02
BuildRequires:	perl-Config-Tiny >= 2.00
BuildRequires:	perl-File-Flat >= 0.95
BuildRequires:	perl-prefork
BuildRequires:	perl-Pod-Tests >= 0.18
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Embedding tests allows tests to be placed near the code it's
testing. This is a nice supplement to the traditional .t files.
It's like XUnit, Perl-style.

%prep
%setup -q -n %{real_name}-%{version} 

%build
chmod 644 Changes README
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/inline2test
%dir %{perl_vendorlib}/Test/Inline
%dir %{perl_vendorlib}/Test/Inline/Content
%dir %{perl_vendorlib}/Test/Inline/IO
%dir %{perl_vendorlib}/Test/Inline/IO/File
%{perl_vendorlib}/Test/*.pm
%{perl_vendorlib}/Test/Inline/*.pm
%{perl_vendorlib}/Test/Inline/Content/*.pm
%{perl_vendorlib}/Test/Inline/IO/*.pm
%{perl_vendorlib}/Test/Inline/IO/File/*.pm
%{_mandir}/*/*

%changelog
* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.102-2mdk
- Fix file permissions

* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.102-1mdk
- New version 2.102

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.101-1mdk
- New release 2.101

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdk
- initial Mandriva package 
